program AlgoSim;

uses
  Windows,
  SysUtils,
  ASKernel,
  ASKernelDefs,
  ASExecutionContext,
  SelfTest,
  Vcl.Forms,
  MainForm in 'MainForm.pas' {AlgosimMainForm},
  IdentSearch in 'IdentSearch.pas',
  SelfTestUI in 'SelfTestUI.pas',
  TextBufWin in 'TextBufWin.pas' {TextBufFrm},
  Gallery in 'Gallery.pas',
  TableDialog in '..\..\TableDialog\TableDialog.pas',
  IdentForm in 'IdentForm.pas' {IdentFrm},
  TDMessageBox in 'TDMessageBox.pas',
  OptionsForm in 'OptionsForm.pas',
  UxForm in 'UxForm.pas',
  FrontEndProps in 'FrontEndProps.pas',
  TaskForm in 'TaskForm.pas' {TaskFrm},
  UxThemeForm in 'UxThemeForm.pas' {UxThemeFrm},
  DocEd in 'DocEd.pas' {DocEdFrm},
  ASDoc in 'ASDoc.pas',
  DocView in 'DocView.pas' {DocFrm},
  ClientDefs in 'ClientDefs.pas',
  Rux in '..\..\Ux\Rux.pas',
  DocSrc in 'DocSrc.pas' {DocSrcFrm},
  FormFader in 'FormFader.pas',
  ASVisualization in '..\ASVisualization.pas',
  ClientVisuals in 'ClientVisuals.pas',
  VisCtl2D in 'Controls\VisCtl2D.pas',
  AboutForm in 'AboutForm.pas' {AboutFrm},
  WinMgrForm in 'WinMgrForm.pas' {WndMgr},
  ScreenDispatch in '..\..\TScreen Dispatcher\ScreenDispatch.pas',
  DoublePoint in '..\DoublePoint.pas',
  DevMode in 'DevMode.pas',
  ImageSizeForm in 'ImageSizeForm.pas' {ImageSizeFrm},
  ObjectMetadataForm in 'ObjectMetadataForm.pas' {ObjectMetadataFrm},
  ProgramEditorForm in 'ProgramEditorForm.pas' {ProgramEditor},
  StartMenuPopup in 'StartMenuPopup.pas',
  ModalProtection in 'ModalProtection.pas';

{$R *.res}

begin
  if ParamStr(1).ToLower = '/selftest' then
  begin
    TSelfTestCUI.RunSelfTest;
  end
//  else if ParamStr(1).ToLower = '/makeht' then
//  begin
//     TASDoc.CreateHypertextVersion; // Needs front end properties
//  end
  else
  begin
    Application.Initialize;
    Application.MainFormOnTaskbar := True;
    Application.CreateForm(TAlgosimMainForm, AlgosimMainForm);
  Application.CreateForm(TIdentFrm, IdentFrm);
  Application.CreateForm(TTaskFrm, TaskFrm);
  Application.Run;
  end;
end.
